package com.muyu.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

//连接数据源

@Data
@AllArgsConstructor
@NoArgsConstructor
@SuperBuilder

public class SourceReq extends BaseEntity {
    /** 主键 */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;


    private String dataResourceName;


    private String dataSourcesSystemName;


    private String host;


    private String port;


    private String databaseType;


    private String databaseName;


    private Long initLinkNum;


    private Long maxLinkNum;


    private Long maxWaitTime;


    private Long maxWaitTimes;

}
