package com.muyu.cloud.pay.service.impl;

import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.muyu.cloud.pay.mapper.SourceMapper;
import com.muyu.cloud.pay.service.SourceService;
import com.muyu.domain.Source;
import com.muyu.domain.req.SourceReq;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

@Service
public class SourceServiceImpl extends ServiceImpl<SourceMapper, Source> implements SourceService {
    @Autowired
    private SourceMapper sourceMapper;

    @Override
    public List<Source> selectSourceList(SourceReq sourceReq) {
       return sourceMapper.selectSourceList(sourceReq);
    }
}
